/**
Theme Name: astra-child
Author: Brainstorm Force
Author URI: http://wpastra.com/about/
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/ 

:root {
    --f_blue: #00747a;
    --f_green: #017f35;
    --f_orange: #e98300;
    --f_maroon: #B21F4C;
    --f_light: #BDB1A6;
    --f_dark: #000;
    --tec-border-radius-default: 0px!important;
}
.elementor-button {
    border-radius: 0px;
}

body .ast-article-single img {
    box-shadow: none!important
}

#wp-admin-bar-elementor_edit_page{
    display:none
}

.home-hero span{
    color:#fff;
}

/* Targeting the parent container */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper {
    display: grid!important;
   /* grid-template-columns: 1fr 1fr;*/
    grid-template-rows: auto auto auto;
    grid-template-areas: 
        "block1 block2" 
        "block4 block3";
        /* "block4 block5"; */
    gap: 0;
    width: 100%;
}

@media (max-width: 768px) {
    div[data-id="395dcf6"] .ae-acf-repeater-wrapper {
       /* grid-template-columns: 1fr;*/
        grid-template-areas: 
            "block1"
            "block2"
            "block3"
            "block4"
            "block5";
    }
    .site-header-section>div:last-child {    
        justify-self: end;
    }    
}

body div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item {
    width: 100%!important;
}

/* Block 1 - Top Left */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) {
    grid-area: block1;
    background-color: white;
    color: #000;
}

/* Block 2 - Top Right */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) {
    grid-area: block2;
    background-color: white;
    color: #000;
}

/* Block 3 - Middle Right */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) {
    grid-area: block3;
    /* background-color: var(--f_maroon); */
    background-color: white;
    color: #000;
}

/* Block 4 - Spanning across two rows on the left */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) {
    grid-area: block4;
    background-color: white;
	 color: #000;
}

/* Block 5 - Bottom Right */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) {
    grid-area: block5;
    
    background-color: white;
    color: #000;
}

div[data-id="395dcf6"] .has_ae_slider {
    padding: 0px;
}

/* Block 1 - Main Container */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item .ae-acf-repeater-inner {
    display: flex;
    height: 100%;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .e-con-inner {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 2rem;
    box-sizing: border-box;
}
@media (max-width: 768px) {

    /* Block 1 - Main Container */    
    div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .e-con-inner {
        padding: 2em 0em;
    }  

    /* Block 3 - Main Container */
    div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .e-con-inner {
        padding: 2em 0em!important;
    }    

    div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="button.default"] a {
        padding: 0.75rem 1rem!important;
        line-height: 15px;
        
    }    
}

/* Block 1 Content Wrapper */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .block1-content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    color: #000;
    text-align: left;
    max-width: 80%;
}

/* Title Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .elementor-element[data-widget_type="heading.default"] .elementor-widget-container {
    margin: 0;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) h2 {
    font-size: 2.5rem;
    line-height: 1.3;
   
    margin: 0;
}

/* Content Text Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .elementor-element[data-widget_type="text-editor.default"] .elementor-widget-container {
    
    margin: 0;
    font-size: 1rem;
    line-height: 1.6;
}

/* Button Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .elementor-element[data-widget_type="button.default"] .elementor-widget-container {
    margin: 0;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .elementor-element[data-widget_type="button.default"] a {
    border: 2px solid #fff;
    color: #fff;
    padding: 0.75rem 2rem;
    text-decoration: none;
    background: transparent;
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    transition: background 0.3s, color 0.3s;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(1) .elementor-element[data-widget_type="button.default"] a:hover {
    background-color: #fff;
    
}

/* Block 2 - Main Container */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae_data,
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae_data > div,
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .has_ae_slider {
    height: 100%;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .e-con-inner {
    display: grid;
   /* grid-template-columns: 1fr 1.5fr;*/
    grid-template-areas: 
        "image content";
    gap: 1rem;
    /* background-color: #1d6480; */
    color: #fff;
    width: 95%;
    height: 100%;
    padding: 0px;
}

/* Image Settings */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="image.default"] {
    grid-area: image;
    align-self: stretch;
    width: 100%;
    margin: 0;
    height: 100%;
}

/* New Content Wrapper Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .content-wrapper {
    grid-area: content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
    height: 100%;
    max-width: 80%;
    justify-self: center;
    padding:2em 0px;
}

@media (max-width: 768px) {
    div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .content-wrapper {
        max-width: 100%;
        padding:2em 1em;
    } 
}

/* Title Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="heading.default"] .elementor-widget-container {
    margin: 0;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) h2 {
    font-size: 2.2em;
    line-height: 1.17em;
  
    margin: 0;
}

/* Content Text Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="text-editor.default"] .elementor-widget-container {
   
    margin: 0;
}

/* Button Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="button.default"] .elementor-widget-container {
    margin: 0;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="button.default"] a {
    border: 2px solid #fff;
    padding: 0.75rem 2rem;
    text-decoration: none;
    background: transparent;
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    transition: background 0.3s, color 0.3s;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="button.default"] a:hover {
    background-color: #fff;
    
}

/* Image Specific Settings */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(2) .elementor-element[data-widget_type="image.default"] img {
    padding: 0;
    object-fit: cover;
    height: 100%;
}

/* Block 3 - Main Container */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .e-con-inner {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 2rem;
    box-sizing: border-box;
    /* background-color: #b1204c; */
   
}

/* Block 3 Content Wrapper */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .block3-content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: left;
    max-width: 82%;
}

/* Title Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .elementor-element[data-widget_type="heading.default"] .elementor-widget-container {
    margin: 0;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) h2 {
    font-size: 2.5rem;
    line-height: 1.3;
   
    margin: 0;
}

/* Content Text Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .elementor-element[data-widget_type="text-editor.default"] .elementor-widget-container {
   
    margin: 0;
    font-size: 1rem;
    line-height: 1.6;
}

/* Button Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .elementor-element[data-widget_type="button.default"] .elementor-widget-container {
    margin: 0;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .elementor-element[data-widget_type="button.default"] a {
    border: 1px solid #fff;
    
    padding: 0.75rem 2rem;
    text-decoration: none;
    background: transparent;
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    transition: background 0.3s, color 0.3s;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(3) .elementor-element[data-widget_type="button.default"] a:hover {
    background-color: #fff;
    color: #b1204c;
}

/* Block 4 - Main Container */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) .e-con-inner {
    display: flex;
    justify-content: flex-end;
    align-items: end;
    width: 100%;
    height: 100%;
    padding: 0rem;
    box-sizing: border-box;
}

/* Block 4 Content Wrapper */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) .block4-content-wrapper {
    /* background-color: var(--f_light); */
    padding: 2rem;
    max-width: 92%;
    /* max-width: min-content; */
    color: #fff;
    justify-content: center;
    display: flex;
    flex-direction: column; 
    height:100%;   
}

@media (max-width: 768px) {
    div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) .block4-content-wrapper  {
        max-width: 100%;
        padding:2.5em 2.5em;
    } 

    .footer-widget-area #block-18 h3 {
        text-align: center;
        margin-bottom: -35px;
    }

    body .facetwp-facet input.facetwp-search, 
    body .facetwp-facet input.facetwp-location {
        min-width: 200px;
    }    
}
body .ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link, .ast-builder-menu-mobile .main-navigation .inline-on-mobile .menu-item.current-menu-item > .ast-menu-toggle, .ast-builder-menu-mobile .main-navigation .menu-item.current-menu-ancestor > .menu-link, .ast-builder-menu-mobile .main-navigation .menu-item.current-menu-ancestor > .ast-menu-toggle {
    color: #214883;
    background: #f7f4f4;
    font-weight: 600;
}




/* body.ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item  {
    max-width: 150px;
}
body.ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item a{
    line-height: 15px;
    text-align: center;
} */



/* Title Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) h2 {
    font-size: 2.2rem;
    line-height: 1em;
    
    margin-bottom: 1rem;
}

/* Content Text Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) .elementor-element[data-widget_type="text-editor.default"] .elementor-widget-container {
   
    margin-bottom: 1.5rem;
    font-size: 1rem;
    line-height: 1.6;
}

/* Button Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) .elementor-element[data-widget_type="button.default"] a {
    border: 1px solid #fff;
    color: #fff;
    padding: 0.75rem 1.5rem;
    text-decoration: none;
    background: transparent;
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    transition: background 0.3s, color 0.3s;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(4) .elementor-element[data-widget_type="button.default"] a:hover {
    background-color: #fff;
    color: #d3922a;
}



/* Block 5 - Main Container */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .e-con-inner {
    display: grid;
    grid-template-columns: 1.4fr 2fr; /* Increased the second column for the image to make it wider */
    grid-template-rows: auto; /* Automatic height based on content */
    grid-template-areas: 
        "content image"; /* Define the grid layout with areas named 'content' and 'image' */
    gap: 1rem;
    align-items: center;
    width: 100%;
    padding: 0;
    box-sizing: border-box;
    max-height: 600px; /* Set maximum height for the container */
    overflow: hidden; /* Ensure no overflow of content */
}

/* Block 5 Content Wrapper */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .block5-content-wrapper {
    grid-area: content;
    /* background-color: #000; */
   
    padding: 2em 2rem 2rem 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}
@media (max-width: 768px) {
    /* div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .block5-content-wrapper {
        grid-area: content;
        color: #fff;
        padding: 1em 2rem 2rem 2rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 1rem;
    }    */
    div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .e-con-inner {
        grid-template-columns:2.2fr 2fr;
    }    
}

/* Title Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) h2 {
    font-size: 2.2rem;
    line-height: 1.3;
  
    margin-bottom: 1rem;
}

/* Content Text Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .elementor-element[data-widget_type="text-editor.default"] .elementor-widget-container {
   
    margin-bottom: 1.5rem;
    font-size: 1rem;
    line-height: 1.6;
}

/* Button Styling */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .elementor-element[data-widget_type="button.default"] a {
    border: 1px solid #fff;
    color: #fff;
    padding: 0.75rem 1.5rem;
    text-decoration: none;
    background: transparent;
    display: inline-block;
    font-size: 1rem;
    text-transform: uppercase;
    transition: background 0.3s, color 0.3s;
}

div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .elementor-element[data-widget_type="button.default"] a:hover {
    background-color: #fff;
    color: #000;
}

/* Wrapping div to help with image positioning */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .elementor-widget-image {
    grid-area: image;
    align-self: stretch;
    position: relative; 
    height: 100%; 
    /* max-height: 630px;  */
    overflow: hidden; 
    background:#fff;
}

/* Styling the image */
div[data-id="395dcf6"] .ae-acf-repeater-wrapper .ae-acf-repeater-item:nth-child(5) .elementor-widget-image img {
    position: relative;
    width: 100%;
    height: 100%; 
    object-fit: contain; 
}



/* Project Video Gallery */

/* Video Gallery Wrapper */
.video-gallery-wrapper {
    display: flex;
    flex-direction: column;
    align-items: start;
    max-width: 940px;
    margin: 0 auto;
}

/* Main Video Container */
#main-video-container {
    width: 100%;
    height: auto;
    max-width: 940px;
    aspect-ratio: 16 / 9;
    margin-bottom: 1rem;
    overflow: hidden;
}

#main-video-container iframe {
    width: 100%;
    height: 100%;
}

/* Thumbnails Wrapper */
/* Video Gallery Wrapper */
.video-gallery-wrapper {
    display: flex;
    flex-direction: column;
    align-items: start;
    max-width: 940px;
    margin: 0 auto;
}

/* Main Video Container */
#main-video-container {
    width: 100%;
    height: auto;
    max-width: 940px;
    aspect-ratio: 16 / 9;
    margin-bottom: 1rem;
    overflow: hidden;
}

#main-video-container iframe {
    width: 100%;
    height: 100%;
}

/* Thumbnails Wrapper */
.video-thumbnails {
    display: flex;
    flex-wrap: nowrap;
    gap: 1rem;
    justify-content: center;
}

/* Video Thumbnail Styling */
.video-thumbnail {
    cursor: pointer;
    width: 227.5px; /* Fixed width for thumbnails */
    height: 127.95px; /* Maintain aspect ratio */
    overflow: hidden;
    position: relative;
    transition: transform 0.3s ease;
    border-radius: 4px;
}

.video-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.thumbnail-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.3s ease;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
}

.video-thumbnail:hover .thumbnail-overlay {
    opacity: 1;
}

.video-title {
    font-size: 1rem;
    color: #ffffff;
    font-weight: bold;
    margin-bottom: 5px;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40px;
    height: 40px;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0; /* Hide by default */
    transition: opacity 0.3s ease;
}

.video-thumbnail:hover .play-button {
    opacity: 0.6; /* Show play button on hover */
}

.play-button::before {
    content: '';
    border-style: solid;
    border-width: 10px 0 10px 16px;
    border-color: transparent transparent transparent rgba(0, 0, 0, 0.7);
    display: inline-block;
    margin-left: 3px;
}



/* News & Stories */
.news-stories-button {
    /* display: none; */
    opacity: 0;
    height:0px;
}

#news_stories_repeater .ae-acf-repeater-item {
    transition: all 1.3s ease;
}

#news_stories_repeater .ae-acf-repeater-item:hover .news-stories-button {
    /* display: block; */
    opacity: 1;
    height:auto;
    transition: all 1.3s ease;
}



/* News Arcchive */
.wp-element-caption {
    font-size: 0.8em;
}

.blog figure img{
    min-width: 100%;
}

/* body .elementor a:not(.elementor-button) {
    text-decoration: underline!important;
}

body .elementor .elementor-heading-title a {
    text-decoration: none!important;
} */


/* Header menu */
#masthead .ast-container {
    padding-right: 0px;
    margin-bottom: -1px;
}

#ast-hf-menu-1 > li.menu-item {
    align-items: center;
}
#ast-hf-menu-1 > li.menu-item a{
    color:#214883;
    text-transform: uppercase;
    font-weight: 600;
    padding: 0 1.0em;
    font-size: 1.2em;
	letter-spacing: -0.01375rem;
}
#ast-hf-menu-1 > li.menu-item.current-menu-item {
    background:#214883;
}
#ast-hf-menu-1 > li.menu-item.current-menu-item a{
    color:#fff;
}
#ast-hf-menu-1 > li.menu-item:hover:not(.current-menu-item) {
    background:#2148830e;
}
/* #ast-hf-menu-1 > li.menu-item.current-menu-item:hover {
    background:#214883;
} */

/* #ast-hf-menu-1 .menu-item a:hover,
#ast-hf-menu-1 .menu-item.current-menu-item a{
    color:#fff;
    background: #003478;
} */

.site-primary-header-wrap .ast-builder-grid-row {
    display: grid;
    grid-template-columns: 1fr max-content;
    align-items: center;
    grid-column-gap: 1px;
    overflow-wrap: anywhere;
}
.site-primary-header-wrap .ast-builder-grid-row .site-header-primary-section-right  {
    display: grid;
    grid-template-columns: 60px 1fr;
    
}
#block-10 p {
    margin-bottom:0px;
}

#ast-hf-menu-1  > li.menu-item > ul.sub-menu li:hover{
    background: #0000000e;
}

#ast-hf-menu-1  > li.menu-item > ul.sub-menu li a{
    padding: 10px 10px;
    color: #000
}


/* language switcher */
body .trp-language-switcher {
    height: auto;
    width: auto;
}
.trp-language-switcher > div {
    width: 40px!important;
    border: none;
    padding: 0px;
    background-position: center right;
}
.trp-language-switcher > div > a {
    padding:0px;
    font-size: 0.85em;
}

.trp-language-switcher:focus .trp-ls-shortcode-language, .trp-language-switcher:hover .trp-ls-shortcode-language {
    visibility: visible;
    max-height: 250px;
    padding: 0px 10px;
    height: auto;
    overflow-y: auto;
    position: absolute;
    left: 0;
    top: 0;
    display: inline-block !important;
    min-height: auto;
    width: 45px !important;
    border: 1px solid #e7e7e7;
    top: 2px;
    left: -10px;
}

/*
 * Override Fix Language Switcher Shortcode in Elementor Popup
 */
 body .elementor-shortcode .trp-ls-shortcode-current-language {
     width: 35px !important;
     background-color: initial;
 }


/* Footer */
body .site-primary-footer-wrap[data-section="section-primary-footer-builder"] {
    background-color: var(--f_blue);
    margin-top: -1px;
}

.site-footer h3 {
    color: #fff;;
}

body .footer-widget-area[data-section="section-fb-html-2"] {
    display: block;
    width: 100% !important;
    text-align: left;
}
body .footer-widget-area.widget-area.site-footer-focus-item {
    width: 100%;
    color: #fff;
    font-size: 1.2em;
}

/* Footer - contact detasil in block-12 */
body #block-12 {
    margin-top: 50px;
    margin-bottom: -50px;
}
body #block-12 ul > li {
    margin-bottom:20px;
    font-size: 1.6em;
    text-align: center;    
}
body #block-12 ul > li a {
    color: #fff;
    font-size: 0.7em;
    opacity: 0.7;
    margin-top: -10px;
    display: block;

}

body .frm_style_formidable-style.with_frm_style .form-field {
    margin-bottom: 5px;
}

.site-primary-footer-wrap {
    padding-bottom: 0px;
}

body .frm_style_formidable-style.with_frm_style .frm_submit button {
    background: none;
    border: none;
    box-shadow: none;
    text-transform: uppercase;
    color: #fff;
    font-weight: 600;
    border-radius: 0px;
}
body .frm_style_formidable-style.with_frm_style .frm_submit button:hover {
    background: #fff; 
    color: #000;

}
body .with_frm_style .frm_submit.frm_flex {
    justify-content: end;
}
body #block-8 {
    margin-top: -25px;
}
.with_frm_style .frm_inside_container > input, .with_frm_style .frm_inside_container > select, .with_frm_style .frm_inside_container > textarea {
    border-radius: 0px;
}

body .ast-footer-social-1-wrap .ast-builder-social-element, .ast-footer-social-1-wrap .social-show-label-true .ast-builder-social-element {
    flex-direction: column;
    border: 1px solid #fff;
    min-width: 132px;
}

.ast-footer-social-1-wrap .ast-builder-social-element, .ast-footer-social-1-wrap .social-show-label-true .ast-builder-social-element:hover {
    color:#000;
    opacity: 0.8;
}

body .site-footer-primary-section-2 {
    height: 98%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
/* 
.ast-footer-social-1-wrap {
    margin-top: 0px;
} */

body .footer-social-inner-wrap {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding: 0px 0px
}

@media (max-width: 768px) {
    body .footer-social-inner-wrap {
        padding: 0px
    }  
}

@media (max-width: 1350px) {
    .ast-builder-menu .main-navigation>ul {
        min-height: 80px;
    }
    
    body #ast-hf-menu-1 > li.menu-item {
        max-width: 126px;
        min-width: 126px;
    }   

    body #ast-hf-menu-1 > li.menu-item a {
        line-height: 17px;
        text-align: center;
    }    
}


@media (min-width: 1023px) and (max-width: 1190px) {
    #ast-hf-menu-1 .menu-item a {
        padding: 0 0.6em!important;
        font-size: 0.85em!important;
    }

    body #ast-hf-menu-1 > li.menu-item {
        max-width: 110px;
        min-width: 110px;
    }     
}

@media (max-width: 1190px) {
    .elementor-25 .elementor-element.elementor-element-971947f .elementor-heading-title {
        font-size:55px
    }
  
}
@media (max-width: 700px) {
    .elementor-25 .elementor-element.elementor-element-971947f .elementor-heading-title {
        font-size: 40px;
    }
}

/* larger than */
@media (min-width: 1375px) {
    body #ast-hf-menu-1>li.menu-item a {
        font-size: 1em;
    }
}

/* #custom-template{
    display:none;
} */
/* @media (max-width: 1100px) {
    .ast-container {
        max-width: 100%;
    }
} */

.site-logo-img {
    padding-left:20px;
}
.site-logo-img img{
    max-width: 180px!important;
}
body .ast-site-identity{
    padding:0px;
}


@media (max-width: 1023px) {
    .site-logo-img {
        padding-left:0px;
    }
}


/* Knowledge Products */

.kp-description-images {
    display: flex;
    gap:30px;
}

@media (min-width: 1201px) {
    .ast-container {
        max-width: 100%;
    }
}
.ast-container {
    max-width: 100%!important;
    padding:0!important
}

/* tribe */
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active, .single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus, .single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within, .single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover, .tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active, .tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus, .tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within, .tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover {
    background-color: var(--f_blue)!important;
    color: var(--tec-color-background);
}

body .tribe-events .tribe-events-calendar-list__event-row--featured .tribe-events-calendar-list__event-date-tag-datetime:after {
    background-color: var(--f_blue);
}
body .tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-list__event-datetime-featured-text {
    color: var(--f_blue);
}
body .tribe-common .tribe-common-c-svgicon {
    color: var(--f_blue);
}
body .tribe-common .tribe-common-c-btn-border, 
body .tribe-common a.tribe-common-c-btn-border {
    color: var(--f_blue);
    border: 1px solid var(--f_blue);
}
body .tribe-events .tribe-events-c-search__button, 
body .tribe-events button.tribe-events-c-search__button {
    background-color: var(--f_blue);
}

body .tribe-events-c-top-bar {
    display: none !important;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'IBM Plex Serif'!important;
    font-weight: 300 !important;
}

h4 {
    padding-bottom: 15px;
}

/* Set the body font to Helvetica */
body {
    font-family: 'Helvetica', sans-serif!important;
}

body .tribe-common--breakpoint-medium.tribe-events .tribe-events-l-container {
    padding-bottom: 60px;
    padding-top: 30px;
}
body .tribe-events-c-subscribe-dropdown__container{
    display: none!important;
}
body tribe-events .tribe-events-l-container {    
    padding-top: 0px;
}
#tribe-events-pg-template {
    max-width: 100%;
    padding: 0px;
}
@media (max-width: 768px) {
    .tribe-events .tribe-events-l-container {
        padding-top: 0px!important;
    }  
}






/* About Page */
/* Default style for the icon list items */
.home-float-menu .elementor-icon-list-item .elementor-icon-list-text {
    color: #003478; /* Default color for all items */
}

/* Highlighted active item */
.home-float-menu .elementor-icon-list-item.active .elementor-icon-list-text {
    color: #E98300; /* Highlighted color for active item */
}

/* FacetWP */
body .facetwp-facet {
    margin-bottom: 10px;
}
body .facetwp-facet-working_groups  .facetwp-dropdown {
    max-width: 190px;
}
body .facetwp-reset {
    background: none;
    box-shadow: none;
    color: #003478;
    text-decoration: underline;
    padding:0px;
}

/* Konwldge Product Archive */
.related-working-groups a{
    font-weight: 300;
    color: #222222;
    margin-bottom: -15px;
    display: block;
}

.kp-filters-left .elementor-shortcode{
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 20px;
}

.kp-filters-right .elementor-shortcode {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 20px;
}

@media (max-width: 768px) {
    .kp-filters-left .elementor-shortcode{
        display: grid;
        grid-template-columns: 1fr max-content 1fr;
        gap:10px;
    }
}

.related-event-item{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    margin-bottom: 60px;
    padding:10px
}

.related-event-item .event-button {
    display: inline-block;
    margin-right: 0.5rem;
    padding: 0.5rem 1rem;
    text-decoration: none;
    background-color: #003478;
    color: #fff;
    border-radius: 0px;
    transition: background-color 0.3s;
    width: 48%;
    text-align: center;
    margin: 10px 0px;
}

.related-event-item .event-content {
    font-size:1.2em
}

@media (max-width: 768px) {
    .related-event-item{
        grid-template-columns: 1fr ;
    }
}

.event-buttons {
    display: flex;
    gap: 20px;
}

body #event-navigation .tec-events-elementor-event-widget__navigation--subnav {
    display: grid!important;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}
body #event-navigation .tec-events-elementor-event-widget__navigation--next {
    justify-self: end;
}

/* .kp-filters .elementor-shortcode div.facetwp-facet-tags{
    margin-left: auto;
} */


/* Single Working Group */
/* Container styling for knowledge product items */
.related-knowledge-products {
    display: grid;
    grid-template-columns: 1fr;
    
    margin-top: 3rem;
}
.related-knowledge-products h3,
.related-events h3 {
    text-align: center;
    padding: 20px 0px 20px 0px;
    font-size:2.2em;
}
.event-dates {
    font-weight: 300;
}
.event-category strong{
    font-weight: 300;
    color: #A4A4A4;
}

.related-knowledge-products .image-group {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

/* Individual knowledge product items */
.knowledge-product-item {
    display: grid;
    grid-template-columns: 1fr 1fr; /* Two columns, where the second column will hold only the description */
    grid-template-rows: auto;
    gap: 15px 40px;
    align-items: start;
    background-color: #fff;
    padding: 1rem;
    border-radius: 8px;
    margin-bottom:    60px;
}

/* Styling for taxonomy term */
.knowledge-product-taxonomy {
    grid-column: 1 / 2;
    font-weight: 300;
    color: #222222;
    margin-bottom: -14px;
}

/* Title styling */
.knowledge-product-item h2 {
    grid-column: 1 / 2; /* Align the title to the first column */
}

/* Image styling */
.knowledge-product-image {
    grid-column: 1 / 2; /* Align the image in the first column */
    max-width: 100%;
}

.knowledge-product-image > a > img,
.knowledge-product-image > img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 8px;
}

/* Links (buttons) styling */
.knowledge-product-links {
    grid-column: 1 / 2; /* Align links to the first column */
    margin-bottom: 1rem;
}

.knowledge-product-links a {
    display: inline-block;
    margin-right: 0.5rem;
    padding: 0.5rem 1rem;
    text-decoration: none;
    background-color: #003478; /* Button background color */
    color: #fff; /* Button text color */
    border-radius: 0px;
    transition: background-color 0.3s;
    width: 48%;
    text-align: center;
    margin-bottom:10px
}

.knowledge-product-links a:hover {
    opacity: 0.9;
}

/* Description styling */
.knowledge-product-description {
    grid-column: 2 / 3; /* Align the description to the second column */
    grid-row: 1 / 5;
    font-size: 1.2rem;
    line-height: 1.5;
}

/* Mobile adjustments */
@media (max-width: 768px) {
    .knowledge-product-item {
        grid-template-columns: 1fr; /* Switch to a single column on smaller screens */
    }

    .knowledge-product-image,
    .knowledge-product-title,
    .knowledge-product-links,
    .knowledge-product-description,
    .knowledge-product-taxonomy {
        grid-column: 1 / 2; /* All content takes full width on smaller screens */
    }
    .knowledge-product-description {
        grid-row: 5 / 5;
    }    

}

.knowledge-product-navigation {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.knowledge-product-navigation .prev-link,
.knowledge-product-navigation .next-link {
    font-size: 16px;
}


/* Archived Events */
/* 

.past-events-list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 3rem;
    
}


.past-event-item {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: min-content min-content 1fr;
    grid-template-areas: 
        "date description"
        "title description"
        "image description";
    gap: 0px 40px;
    align-items: start;
    background-color: #fff;
    padding: 0.5rem;
}


.past-event-item h2 {
    grid-area: title;
    font-size: 1.8rem;
    font-weight: bold;
    color: #003478;
    margin-bottom: 0.5rem;
}


.event-date {
    grid-area: date;
    font-size: 1rem;
    font-weight: 300;
    color: #222222;
    
}

.event-featured-image {
    grid-area: image;
    max-width: 100%;
}

.event-featured-image img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 8px;
}


.event-description {
    grid-area: description;
    font-size: 1.2em;
    line-height: 1.5em;
    margin-top: 30px;
}

@media (max-width: 768px) {
    .past-event-item {
        grid-template-columns: 1fr; 
        grid-template-areas: 
            "title"
            "date"
            "image"
            "description";
    }

    .event-featured-image,
    .event-content {
        grid-column: 1 / 2; 
    }
} */

@media (min-width: 1200px) {
    .ast-plain-container.ast-no-sidebar #primary {
        margin-top: 0px!important;
        margin-bottom: 60px;
    }
}

#loop-grid-footer .elementor-shortcode {
    justify-content: center;
    padding: 30px;
}

.kp-grid,
#list-trigger {
    display: none;
}

#list-trigger,
#grid-trigger {
    cursor: pointer;
}

body #kb-items-container.kp-grid-active .elementor-loop-container{
    grid-template-columns: repeat(3, 1fr);
}

.kp-grid-title h1{
    display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.kp-grid-content p{
    display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.kp-grid-content .elementor-widget-container > p:not(:first-child),
.kp-grid-content .elementor-widget-container > ol,
.kp-grid-content .elementor-widget-container > ul,
.kp-grid-content .elementor-widget-container > a,
.kp-grid-content .elementor-widget-container > img,
.kp-grid-content .elementor-widget-container > .image-group{
    display: none;
}

body .tribe-events-c-messages__message-list-item a {
    text-transform: uppercase;
    font-size: 0.8em;
    background: #fff;
    color: #666 !important;
    font-weight: 600;
    padding: 6px 10px;
}

.elementor-6063 .elementor-element.elementor-element-3de60a16 img {
    filter: none!important;
}

.elementor-gallery-item__description {
	margin-top:15px;
}



@media (min-width: 1024px) {
    body .menu-item-6376 {
        display: none!important;
    }
  
}